org.yaml.snakeyaml.error

## Class Mark

- java.lang.Object
- - org.yaml.snakeyaml.error.Mark

All Implemented Interfaces:
  Serializable

    public final class Mark
    extends Object
    implements Serializable

It's just a record and its only use is producing nice error messages. Parser does not use it for any other purposes.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Mark(String name, int index, int line, int column, char[] str, int pointer)`
`Mark(String name, int index, int line, int column, int[] buffer, int pointer)`
`Mark(String name, int index, int line, int column, String buffer, int pointer)` Deprecated.

### Method Summary

Methods
`String` `get_snippet()`
`String` `get_snippet(int indent, int max_length)`
`int[]` `getBuffer()`
`int` `getColumn()` starts with 0
`int` `getIndex()` starts with 0
`int` `getLine()` starts with 0
`String` `getName()`
`int` `getPointer()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Mark

    public Mark(String name,
        int index,
        int line,
        int column,
        char[] str,
        int pointer)

#### Mark

    @Deprecated
    public Mark(String name,
                   int index,
                   int line,
                   int column,
                   String buffer,
                   int pointer)

Deprecated.

#### Mark

    public Mark(String name,
        int index,
        int line,
        int column,
        int[] buffer,
        int pointer)

### Method Detail

#### get_snippet

    public String get_snippet(int indent,
                     int max_length)

#### get_snippet

    public String get_snippet()

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getName

    public String getName()

#### getLine

    public int getLine()

starts with 0

Returns:
  line number

#### getColumn

    public int getColumn()

starts with 0

Returns:
  column number

#### getIndex

    public int getIndex()

starts with 0

Returns:
  character number

#### getBuffer

    public int[] getBuffer()

#### getPointer

    public int getPointer()